@import "sass/_imports.scss";

//* {font-size:18px;}

.not-landscape-mobile-nav {
    @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
        display: none;
    }
}

.landscape-mobile-nav {
    @media only screen and (orientation: portrait), (min-width: $screen-sm-min) {
        display: none;
    }
}

header,
.site-header {
    position: fixed;
    top:0px;
    width:100%;
    z-index: 100;
    display: block;
    background-color: #FFF;
    box-shadow:0px 2px 1px rgba(0,0,0,0.3);
    @extend .clearfix;

    .container {
        @extend .clearfix;

        /** "HAPPYDEV" site identity anchor on primary menu */
        #site-identity {
            color:$hd-blue;
            cursor:pointer;
            display: inline-block;
            float:left;
            font-family:'jaf-domus', helvetica, sans-serif;
            font-size: 31px;
            font-weight: 700;
            line-height:120%;
            margin:.5em 0;
            padding-bottom:8px;
            text-transform:uppercase;
            text-decoration:none!important;

            @include transition(all 100ms);
            @extend .clearfix;

            @media (max-width:$mobileBreakPoint) {
                margin:.25em 0;
            }
        }

        nav {
            width:auto;
            display:block;
            @extend .clearfix;
            padding:20px 0 0;

            .nav-left {float:left}
            .nav-right {float:right}

            .nav-left,
            .nav-right {
                @extend .clearfix;

                @media (max-width:$mobileBreakPoint) {
                    float:none;
                }

            }

            .nav-left {
                a {
                    margin-left:30px;
                    @media (max-width:$mobileBreakPoint) {
                        margin-left:0;
                    }
                }
            }

            a,
            span {
                color: $hd-gray;
                font-size: 1.1em;
                font-weight: 200;
                line-height:20px;
                padding: 10px 8px;
                text-decoration: none;
                cursor:pointer;
                display: inline-block;
                @include transition(all 150ms ease-in-out);

                &:link,
                &:visited {
                    color: $hd-gray;
                }

                &:hover {
                    color: darken($hd-gray, 20%);

                }
                @media (max-width:$mobileBreakPoint) {
                    display:block;
                    margin-top:0px;
                    padding:1.5em 0;
                    font-size: 18px;
                    border-bottom:1px solid #FFF;

                    &:hover {
                        background:rgba(255,255,255,0.3);
                    }
                }
            }

            /** "Sign Up" button in the primary menu */
            button#sign-up {
                font-size: 20px;
                font-weight: 500;
                padding: 7px 50px;
            }

            @media (max-width:$mobileBreakPoint) {
                display:none;
                position:absolute;
                top:100%;
                left:0;
                width:100%;
                text-align:center;

                &.mobile {display:block; text-align:center;}
            }
        }
    }
}

//Mobile Navigation CSS

$button-size : 35px;
$transition: 300ms; // increase this to see the transformations in slow-motion
$button-color: $hd-blue-dk;

@mixin line {
    display: inline-block;
    width: $button-size;
    height: $button-size/7;
    background: $button-color;
    border-radius: $button-size/20;
    transition: $transition;
}


.mobile-nav-button {
    display: none;
    padding: $button-size/2 $button-size/4 $button-size/2;
    transition: .3s;
    background:none;
    float:right;
    outline:none;
    border:none;
    cursor: pointer;
    user-select: none;
    border-radius: $button-size/7;

    @media (max-width:$mobileBreakPoint) {
        display:inline-block;
    }

    &:hover {
        opacity: 1;
    }

    &:active {
        transition: 0;
        background: rgba(0,0,0,.1);
    }

    .lines {

        //create middle line
        @include line;
        position: relative;

        /*create the upper and lower lines as pseudo-elements of the middle line*/
        &:before, &:after {

            @include line;
            position: absolute;
            left:0;
            content: '';
            transform-origin: $button-size/14 center;
        }
        &:before { top: $button-size/4; }
        &:after { top: -$button-size/4; }
    }

    &.close .lines{
        /*hide the middle line*/
        background: transparent;

        /*overlay the lines by setting both their top values to 0*/
        &:before, &:after{
            transform-origin: 50% 50%;
            top:0;
            width: $button-size;
        }

        // rotate the lines to form the x shape
        &:before{
            transform: rotate3d(0,0,1,45deg);
        }
        &:after{
            transform: rotate3d(0,0,1,-45deg);
        }
    }
}

.mobile-nav-overlay {
    position:fixed;
    display:none;
    left:0;
    top:0;
    background:transparentize(#FFF, 0.1);
    height:100%;
    width:100%;
    z-index:99;

    @media (max-width:$mobileBreakPoint) {
        display:block;
    }
}


footer,
.site-footer {
    background: #FFF;
    height: 300px;
    position: relative;
    width: 100%;
    z-index: 15;

    @media (max-width: $mobileBreakPoint) {
        height: 330px; // Allows for the footer content to be visible without being blobked by chat button
    }

    a {
        color: #000000;
        font-size: 16px;
        font-weight: 200;
    }

    span {
        color: #0c59cf;
        font-weight: bold;
        font-size: 12px;
    }

    #footer-copy-anchor {
        margin-right: 15px;
    }

    #footer-first-row {
        margin-top: 75px
    }

    #footer-second-row {
        margin-top: 50px;
    }

    #footer-social-icons img {
        margin-right: 20px;
        height: 32px;
        width: 32px;

        @media (max-width: $mobileBreakPoint) {
            height: 40px;
            margin-bottom: 20px;
            width: 40px;
        }
    }
}

/deep/ .hd-jumbotron {
    height:500px;
    background-color: $hd-blue;
    color:#FFF;
    background-image: linear-gradient(to bottom right, lighten($hd-blue, 10%), $hd-blue-md);
    box-shadow:inset 0px -3px 10px rgba(0,0,0,0.15);

    .hd-jumbotron-content {
        text-align:center;
        position:relative;
        transform:translateY(-50%);
        top:50%;
        width:100%;
        margin:0 auto;
        font-family:'jaf-domus-titling-web', helvetica, sans-serif;
        font-size:30px;
        line-height:36px;
        font-weight:bold;

        em {font-style:italic;}

        .small {
            font-family:$happydev-fontstack;
            font-weight: normal;
            font-size:22px;
            margin-top:15px;
        }
    }
}
